If you read this file _as_is_, just ignore the funny characters you
see. It is written in the POD format (see perlpod manpage) which is
specially designed to be readable as is.

=head1 NAME

perldgux - Perl under DG/UX.

=head1 SYNOPSIS

One can read this document in the following formats:

        man perldgux
        view perl perldgux
        explorer perldgux.html
        info perldgux

to list some (not all may be available simultaneously), or it may
be read I<as is>: as F<README.dgux>.

=cut

Contents

 perldgux - Perl under DG/UX.

      NAME
      SYNOPSIS
      DESCRIPTION
      BUILD
         -  Non-threaded Case
         -  Threaded Case
         -  Testing
         -  Installing the built perl
      AUTHOR
      SEE ALSO

=head1 DESCRIPTION

Perl 5.7/8.x for DG/UX ix86 R4.20MU0x

=head1 BUILDING PERL ON DG/UX

=head2 Non-threaded Perl on DG/UX

Just run ./Configure script from the top directory.
Then give "make" to compile.

=head2 Threaded Perl on DG/UX

If you are using as compiler GCC-2.95.x rev(DG/UX)
an easy solution for configuring perl in your DG/UX
machine is to run the command:

./Configure -Dusethreads -Duseithreads -Dusedevel -des

This will automatically accept all the defaults and
in particular /usr/local/ as installation directory.
Note that GCC-2.95.x rev(DG/UX) knows the switch
-pthread which allows it to link correctly DG/UX's
-lthread library.

If you want to change the installation directory or
have a standard DG/UX with C compiler GCC-2.7.2.x
then you have no choice than to do an interactive
build by issuing the command:

./Configure -Dusethreads -Duseithreads

In particular with GCC-2.7.2.x accept all the defaults
and *watch* out for the message:

    Any additional ld flags (NOT including libraries)? [ -pthread]

Instead of -pthread put here -lthread. CGCC-2.7.2.x
that comes with the DG/UX OS does NOT know the -pthread
switch. So your build will fail if you choose the defaults.
After configuration is done correctly give "make" to compile.

=head2 Testing Perl on DG/UX

Issuing a "make test" will run all the tests. 
If the test lib/ftmp-security gives you as a result
something like

    lib/ftmp-security....File::Temp::_gettemp:
    Parent directory (/tmp/) is not safe (sticky bit not set
    when world writable?) at lib/ftmp-security.t line 100

don't panic and just set the sticky bit in your /tmp
directory by doing the following as root:

cd /
chmod +t /tmp (=set the sticky bit to /tmp).

Then rerun the tests. This time all must be OK.

=head2 Installing the built perl on DG/UX

Run the command "make install"

=head1 AUTHOR

Takis Psarogiannakopoulos
University of Cambridge
Centre for Mathematical Sciences
Department of Pure Mathematics
Wilberforce road
Cambridge CB3 0WB , UK
email <takis@XFree86.Org>

=head1 SEE ALSO

perl(1).

=cut

